Subject: Re: bug#25061: consider adding %COMPAT to default gnutls priority string

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Dec 2017 16:12:20 +0200

> From: Ted Zlatanov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 10 Dec 2017 08:29:27 -0500
> 
> It would change behavior for everyone for the sake of fixing a few
> setups. Does %DUMBFW or %COMPAT create a risk that's not justified by
> the functionality it provides? These exceptions have a way of living
> long past their expiration date.
> 
> If we're confident that's the right thing, then let's change it in the
> release and add a note in the docs. I'm OK with the change; any other
> comments? What should be the actual string?

You mean, should we use %COMPAT or %DUMBFW?  I think the latter.  But
if no one can reproduce the problem and verify the fix, I think we
should simply describe the problem in PROBLEMS and leave the code
intact.

> Regardless, I'll make the connection profile changes in master, which
> gives us more time to find problems and provide a better integration for
> them.

Sounds good, thanks.